%define	prefix		/usr
%define sysconfdir	/etc
%define	localstatedir	/var/lib


Summary:	A full-featured spreadsheet for GNOME.
Name:     	gnumeric
Version: 	0.54
Release: 4
Epoch: 1
Copyright:	GPL
Group:		Applications/Productivity
Source: 	ftp://ftp.gnome.org/pub/GNOME/sources/stable/%{name}/%{name}-%{version}.tar.gz
URL:		http://www.gnome.org/gnumeric/
BuildRoot:	/var/tmp/%{name}-%{version}-root

Patch1:         gnumeric-0.54-staticole2.patch

Requires:	gnome-libs >= 1.0.53
Requires:	libglade >= 0.13
Requires:	guile >= 1.3
Requires:	gnome-print >= 0.20
Requires:	gtk+ >= 1.2.7

BuildPrereq: gnome-libs-devel >= 1.0.53
BuildPrereq: guile-devel >= 1.3
BuildPrereq: gnome-print-devel >= 0.20
BuildPrereq: libglade-devel >= 0.13

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. Gnumeric is a spreadsheet
program for GNOME. This program is intended to be a replacement for a
commercial spreadsheet, so quite a bit of work has gone into the
program.

Install gnumeric if you want to use a spreadsheet program with GNOME.

%prep
%setup -q
%patch1 -p1 -b .staticole2
# staticole2 patch changes Makefile.am
automake

%build
CFLAGS="-g $RPM_OPT_FLAGS" ./configure	\
	--prefix=%{prefix} --sysconfdir=%{sysconfdir}	\
	--localstatedir=%{localstatedir}	\
	--without-bonobo --without-gb
make

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT%{prefix} \
	sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} \
	localstatedir=$RPM_BUILD_ROOT%{localstatedir}

#broken right now
rm -f  $RPM_BUILD_ROOT%{prefix}/lib/gnumeric/plugins/%{version}/libgnum_python.*

# no binary stripping

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)

%doc HACKING AUTHORS ChangeLog NEWS README COPYING TODO

%{prefix}/bin/*
%{prefix}/lib/gnumeric/%{version}/plugins/*
%{prefix}/share/locale/*/*
%{prefix}/share/gnome/apps/*/gnumeric.desktop
%{prefix}/share/gnome/help/gnumeric
%{prefix}/share/idl/Gnumeric.idl
%{prefix}/share/mc/templates/*
%{prefix}/share/mime-info/*
%{prefix}/share/pixmaps/*
%{prefix}/share/gnumeric

%{sysconfdir}/CORBA/servers/*

%changelog
* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Tue Jul 18 2000 Owen Taylor <otaylor@redhat.com>
- Fix DocDir:

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

